# Solana Transaction Status

## GET /solana/mint-status/{signature}

> Get mint flow status by Solana transaction signature

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/solana/mint-status/{signature}":{"get":{"tags":["Solana Transaction Status"],"description":"Get mint flow status by Solana transaction signature","parameters":[{"schema":{"type":"string","description":"Solana transaction signature"},"required":true,"description":"Solana transaction signature","name":"signature","in":"path"}],"responses":{"200":{"description":"Mint status by signature","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"solanaSignature":{"type":"string"},"solanaWallet":{"type":"string"},"amount":{"type":"string"},"progress":{"type":"string","nullable":true},"overallStatus":{"type":"string"},"overallStatusCode":{"type":"number"},"createdAt":{"type":"number"},"createdAtFormatted":{"type":"string","nullable":true},"updatedAt":{"type":"number"},"updatedAtFormatted":{"type":"string","nullable":true},"steps":{"type":"object","properties":{"solana":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"blockTimestamp":{"type":"number","nullable":true},"blockTimestampFormatted":{"type":"string","nullable":true},"blockSlot":{"type":"string","nullable":true},"indexedAt":{"type":"number","nullable":true},"indexedAtFormatted":{"type":"string","nullable":true},"composerAddress":{"type":"string","nullable":true}},"required":["status","statusCode","blockTimestamp","blockTimestampFormatted","blockSlot","indexedAt","indexedAtFormatted","composerAddress"]},"cctpAttestation":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"nonce":{"type":"string","nullable":true},"attestedAt":{"type":"number","nullable":true},"attestedAtFormatted":{"type":"string","nullable":true},"irisStatus":{"type":"string","nullable":true},"sourceDomain":{"type":"number","nullable":true},"destinationDomain":{"type":"number","nullable":true}},"required":["status","statusCode","nonce","attestedAt","attestedAtFormatted","irisStatus","sourceDomain","destinationDomain"]},"predicate":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"taskId":{"type":"string","nullable":true},"isCompliant":{"type":"boolean","nullable":true},"checkedAt":{"type":"number","nullable":true},"checkedAtFormatted":{"type":"string","nullable":true},"error":{"type":"string","nullable":true}},"required":["status","statusCode","taskId","isCompliant","checkedAt","checkedAtFormatted","error"]},"relay":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"txHash":{"type":"string","nullable":true},"blockNumber":{"type":"string","nullable":true},"blockTimestamp":{"type":"number","nullable":true},"blockTimestampFormatted":{"type":"string","nullable":true},"gasUsed":{"type":"string","nullable":true},"error":{"type":"string","nullable":true}},"required":["status","statusCode","txHash","blockNumber","blockTimestamp","blockTimestampFormatted","gasUsed","error"]},"composer":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"assetAmount":{"type":"string","nullable":true},"shareAmount":{"type":"string","nullable":true}},"required":["status","statusCode","assetAmount","shareAmount"]},"oft":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"lzGuid":{"type":"string","nullable":true},"dstEid":{"type":"number","nullable":true},"amountSent":{"type":"string","nullable":true},"amountReceived":{"type":"string","nullable":true}},"required":["status","statusCode","lzGuid","dstEid","amountSent","amountReceived"]},"solanaMint":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"signature":{"type":"string","nullable":true},"blockTimestamp":{"type":"number","nullable":true},"blockTimestampFormatted":{"type":"string","nullable":true},"blockSlot":{"type":"string","nullable":true},"programId":{"type":"string","nullable":true},"oftstoreAddress":{"type":"string","nullable":true}},"required":["status","statusCode","signature","blockTimestamp","blockTimestampFormatted","blockSlot","programId","oftstoreAddress"]},"reclaim":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"txHash":{"type":"string","nullable":true},"blockTimestamp":{"type":"number","nullable":true},"blockTimestampFormatted":{"type":"string","nullable":true}},"required":["status","statusCode","txHash","blockTimestamp","blockTimestampFormatted"]}},"required":["solana","cctpAttestation","predicate","relay","composer","oft","solanaMint","reclaim"]},"error":{"type":"object","nullable":true,"properties":{"code":{"type":"string","nullable":true},"message":{"type":"string","nullable":true}},"required":["code","message"]},"links":{"type":"object","properties":{"solanaExplorer":{"type":"string"},"plumeExplorer":{"type":"string","nullable":true},"layerZeroScan":{"type":"string","nullable":true},"solanaMintTransaction":{"type":"string","nullable":true}},"required":["solanaExplorer","plumeExplorer","layerZeroScan","solanaMintTransaction"]}},"required":["solanaSignature","solanaWallet","amount","progress","overallStatus","overallStatusCode","createdAt","createdAtFormatted","updatedAt","updatedAtFormatted","steps","error","links"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```

## GET /solana/redeem-status/{signature}

> Get redeem flow status by Solana burn transaction signature

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/solana/redeem-status/{signature}":{"get":{"tags":["Solana Transaction Status"],"description":"Get redeem flow status by Solana burn transaction signature","parameters":[{"schema":{"type":"string","description":"Solana burn transaction signature (the original user redeem tx)"},"required":true,"description":"Solana burn transaction signature (the original user redeem tx)","name":"signature","in":"path"}],"responses":{"200":{"description":"Redeem status by Solana burn signature","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"solanaBurnSignature":{"type":"string"},"plumeDeliveryTxHash":{"type":"string","nullable":true},"plumeRedeemTxHash":{"type":"string","nullable":true},"solanaWallet":{"type":"string","nullable":true},"progress":{"type":"string","nullable":true},"overallStatus":{"type":"string"},"overallStatusCode":{"type":"number"},"redeemType":{"type":"string"},"createdAt":{"type":"number"},"createdAtFormatted":{"type":"string","nullable":true},"updatedAt":{"type":"number"},"updatedAtFormatted":{"type":"string","nullable":true},"steps":{"type":"object","properties":{"solanaBurn":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"signature":{"type":"string","nullable":true},"tokenAta":{"type":"string","nullable":true},"amount":{"type":"string","nullable":true},"blockTimestamp":{"type":"number","nullable":true},"blockTimestampFormatted":{"type":"string","nullable":true},"blockSlot":{"type":"string","nullable":true}},"required":["status","statusCode","signature","tokenAta","amount","blockTimestamp","blockTimestampFormatted","blockSlot"]},"plumeProcessing":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"deliveryTxHash":{"type":"string","nullable":true},"deliveryBlockNumber":{"type":"string","nullable":true},"deliveryBlockTimestamp":{"type":"number","nullable":true},"deliveryBlockTimestampFormatted":{"type":"string","nullable":true},"redeemTxHash":{"type":"string","nullable":true},"redeemBlockNumber":{"type":"string","nullable":true},"redeemBlockTimestamp":{"type":"number","nullable":true},"redeemBlockTimestampFormatted":{"type":"string","nullable":true},"error":{"type":"string","nullable":true},"lzGuid":{"type":"string","nullable":true},"oftContractAddress":{"type":"string","nullable":true},"vaultComposerAddress":{"type":"string","nullable":true},"sharesRedeemed":{"type":"string","nullable":true},"usdcReceived":{"type":"string","nullable":true},"cctpBurnAmount":{"type":"string","nullable":true},"cctpNonce":{"type":"string","nullable":true},"cctpDestinationDomain":{"type":"number","nullable":true}},"required":["status","statusCode","deliveryTxHash","deliveryBlockNumber","deliveryBlockTimestamp","deliveryBlockTimestampFormatted","redeemTxHash","redeemBlockNumber","redeemBlockTimestamp","redeemBlockTimestampFormatted","error","lzGuid","oftContractAddress","vaultComposerAddress","sharesRedeemed","usdcReceived","cctpBurnAmount","cctpNonce","cctpDestinationDomain"]},"cctpAttestation":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"attestedAt":{"type":"number","nullable":true},"attestedAtFormatted":{"type":"string","nullable":true},"irisStatus":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"attestation":{"type":"string","nullable":true},"nonce":{"type":"string","nullable":true}},"required":["status","statusCode","attestedAt","attestedAtFormatted","irisStatus","message","attestation","nonce"]},"solanaClaim":{"type":"object","properties":{"status":{"type":"string"},"statusCode":{"type":"number"},"signature":{"type":"string","nullable":true},"blockTimestamp":{"type":"number","nullable":true},"blockTimestampFormatted":{"type":"string","nullable":true},"blockSlot":{"type":"string","nullable":true},"usdcClaimed":{"type":"string","nullable":true},"error":{"type":"string","nullable":true}},"required":["status","statusCode","signature","blockTimestamp","blockTimestampFormatted","blockSlot","usdcClaimed","error"]}},"required":["solanaBurn","plumeProcessing","cctpAttestation","solanaClaim"]},"error":{"type":"object","nullable":true,"properties":{"code":{"type":"string","nullable":true},"message":{"type":"string","nullable":true}},"required":["code","message"]},"links":{"type":"object","properties":{"solanaBurnExplorer":{"type":"string","nullable":true},"plumeDeliveryExplorer":{"type":"string","nullable":true},"plumeRedeemExplorer":{"type":"string","nullable":true},"solanaClaimExplorer":{"type":"string","nullable":true},"layerZeroScanDelivery":{"type":"string","nullable":true},"layerZeroScanRedeem":{"type":"string","nullable":true}},"required":["solanaBurnExplorer","plumeDeliveryExplorer","plumeRedeemExplorer","solanaClaimExplorer","layerZeroScanDelivery","layerZeroScanRedeem"]}},"required":["solanaBurnSignature","plumeDeliveryTxHash","plumeRedeemTxHash","solanaWallet","progress","overallStatus","overallStatusCode","redeemType","createdAt","createdAtFormatted","updatedAt","updatedAtFormatted","steps","error","links"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nest.credit/developers/api/solana-transaction-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
